=== debian/changelog ===
ros-foxy-realsense-node (2.0.8-2focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Xiaojun Huang <xiaojun.huang@intel.com>  Tue, 12 May 2020 06:33:57 -0000
