=== debian/control ===
Source: ros-foxy-realsense-node
Section: misc
Priority: optional
Maintainer: Xiaojun Huang <xiaojun.huang@intel.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-nav-msgs, ros-foxy-rclcpp, ros-foxy-realsense-msgs, ros-foxy-realsense-ros, ros-foxy-sensor-msgs, ros-foxy-tf2, ros-foxy-tf2-ros, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-realsense-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-nav-msgs, ros-foxy-rclcpp, ros-foxy-realsense-msgs, ros-foxy-realsense-ros, ros-foxy-sensor-msgs, ros-foxy-tf2, ros-foxy-tf2-ros, ros-foxy-ros-workspace
Description: ROS2 realsense node
